Package org.bukkit.event.block

# Class BlockSpreadEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockGrowEvent
org.bukkit.event.block.BlockFormEvent
org.bukkit.event.block.BlockSpreadEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockSpreadEvent extends BlockFormEvent
Called when a block spreads based on world conditions.

Use `BlockFormEvent` to catch blocks that "randomly" form instead of actually spread.

Examples:

- Mushrooms spreading.
- Fire spreading.

If a Block Spread event is cancelled, the block will not spread.

See Also:
  - `BlockFormEvent`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockSpreadEvent(@NotNull Block block, @NotNull Block source, @NotNull BlockState newState)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Block`
`getSource()`
Gets the source block involved in this event.

### Methods inherited from class org.bukkit.event.block.BlockGrowEvent

`getNewState, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockSpreadEvent

public BlockSpreadEvent(@NotNull @NotNull Block block, @NotNull @NotNull Block source, @NotNull @NotNull BlockState newState)

## Method Details

### getSource

@NotNull public @NotNull Block getSource()
Gets the source block involved in this event.

Returns:
  the Block for the source block involved in this event.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `BlockFormEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()